<?php
session_start();
require('../valtiempoinact.php');
require("conectar.php");
/*ini_set('display_errors', 1);
ini_set('log_errors', 1);
ini_set('error_log', dirname(__FILE__) . '/error_log.txt');
error_reporting(E_ALL);*/
?>
<html xmlns="http://www.w3.org/1999/xhtml">

        <head>
                <meta http-equiv="content-type" content="text/html;charset=iso-8859-1" />
                <title>Citas Juridico</title>
                <meta http-equiv="PRAGMA" content="NO-CACHE" />
                <meta http-equiv="EXPIRES" content="-1" />
                <!--<script language="javascript" src="js/jquery.min.js"></script>
                <script type="text/javascript" src="js/vtip.js"></script>-->
                <script type="text/javascript">
                $(document).ready(function(){
                        setTimeout(function() {$('#mensaje').fadeOut('fast');}, 3000);
                });
                </script>
                <style>
                #agenda {margin: 0;padding: 0;font-family: Arial}
                p #vtip { display: none; position: absolute; padding: 5px; left: 5px; font-size: 0.75em; background-color: #666666; border: 1px solid #666666; -moz-border-radius: 5px; -webkit-border-radius: 5px; z-index: 9999;color:white }
                p #vtip #vtipArrow { position: absolute; top: -10px; left: 5px }
                .ok{border:1px solid green;color:green;padding:10px}
                #agenda{margin:10px;width:900px;margin:0 auto}
                #agenda h1{text-align:left;margin:0;font-size:1.5em;color:#312c2b}
                #agenda h2{text-align:left;margin:0;font-size:1em;color:#969696}
                #agenda table.calendario {width:900px;border:1px solid #ccc;font-size:12px;}
                .calendario .tl{-moz-box-shadow:inset 0 0 20px #000000;-webkit-box-shadow: inset 0 0 20px #000000;box-shadow: inset 0 0 20px #000000;background:#424242;text-align:center;color:#FFFFFF;}
                .calendario th {border:1px solid #ccc;font-weight:bold;background:#666;color:white;padding:10px 5px;}
                .calendario td{padding:5px 5px;text-align:left;border:1px solid #ccc;width:100px;white-space:pre-line;font-size:15px;font-weight:bold;}
                .calendario td p{margin:5px;font-size:12px;border:1px solid #ccc;text-align:left;padding:5px;font-weight:normal;}
                .calendario td.desactivada {background:#dcdcdc;}
                .calendario td.activa {background:#ffffff;}
                .calendario td.evento {background:#312c2b;color:white}
                .calendario td.hoy{background:#E1F5A9;}
                .calendario form{margin:5px 0 !important}
                .calendario input.text{border:1px solid #ccc;background:white;width:200px !important}
                .calendario input.enviar{border:1px solid #ccc;background:white;width:70px !important;background:#ccc;margin:0 0 0 10px;}
                .calendario td img{vertical-align:middle;float:right;border:0;width:16px;height:16px}
                .vtip{cursor:pointer;}
                .verde{font-size:125% !important;font-weight:bold;color:green;}
                .rojo{font-size:125% !important;font-weight:bold;color:red;}
				.badage{
		     position:absolute;
			 margin-top:-5px;
			 margin-left:20px;
		     height:25px;
			 min-width:30px
			 width:auto;
		     background: url(images/badage2.png) 20px 0px content-box repeat-x,url(images/badagel.png) top left no-repeat,url(images/badager.png) top right no-repeat;
             color:#FFFFFF;
			 text-align:center;
			 padding-left:12px;
			 padding-right:12px;
			 text-decoration:none;
			 outline:none;
			 font-size:12px;
		 }
		 .badage .tx{float:left;margin-top:4px;font-weight:bold;font-family:arial;}
                </style>
				<script>
				 function val(f,v){
				     if(v==1){
				     var h=f.hora;
				     var t=f.titulo;
				     var c=f.cliente;
				     var m=f.monto;
					 }else{
					 var h=f.horas;
				     var t=f.titulos;
				     var c=f.clientes;
				     var m=f.montos;
					 }
					 if(h.value==""){
					     alert("Selecciona una hora para el evento");
						 h.focus();
						 return false;
					 }
					  if(t.value==""){
					     alert("Ingresa la descripción del evento");
						 t.focus();
						 return false;
					 }
					 if(c.value==""){
					     alert("Ingresa el nombre  del cliente");
						 c.focus();
						 return false;
					 }
				 }
				 
		     function abrir(page, name) {
	          newWindow = window.open(page,name,'directories=no,location=no,status=no,scrollbars=yes,width=700px,height='+screen.height+',left=0,top=0');
  	          newWindow.creator=self;
  	          newWindow.focus(); 
             }
				</script>
        </head>
<body>
        <div id="agenda">
                <?php
		       
                     
						

						//$uploaddir="/tmp/";
					
                        $mostrar="";
                        function fecha ($valor)
                        {
                                $timer = explode(" ",$valor);
                                $fecha = explode("-",$timer[0]);
                                $fechex = $fecha[2]."/".$fecha[1]."/".$fecha[0];
                                return $fechex;
                        }
                        if (isset($_POST["guardarevento"])=="Si")
                        {
                                $q1="insert into tcalendario (id_cliente,usuario,fecha,hora,evento,nomcliente,monto) values ('".$_POST["id"]."','".$usu_login."','".$_POST["fecha"]."','".strip_tags($_POST["hora"])."','".strip_tags($_POST["titulo"])."','".strip_tags($_POST["cliente"])."','".strip_tags($_POST["monto"])."')";
                                mysql_select_db($dbname);
                                if ($r1=mysql_query($q1)) $mostrar="<p class='ok' id='mensaje'>Evento guardado correctamente.</p>";
                                else $mostrar= "<p class='error' id='mensaje'>Se ha producido un error guardando el evento.</p>";
                        }
                        if (isset($_GET["borrarevento"]))
                        {
                                $q1="delete from tcalendario where id_cita='".$_GET["borrarevento"]."' limit 1";
                                mysql_select_db($dbname);
                                if ($r1=mysql_query($q1)) $mostrar="<p class='ok' id='mensaje'>Cita eliminada correctamente.</p>";
                                else $mostrar="<p class='error' id='mensaje'>Se ha producido un error eliminando el evento.</p>";
                        }
                        
                        if (isset($_POST["addevent"])=="Si")
                        {
                                
                                $q1="insert into tcalendario (id_cliente,usuario,fecha,hora,evento,nomcliente,monto) values ('".$_POST["ids"]."','".$usu_login."','".$_POST["fechas"]."','".$_POST["horas"]."','".$_POST["titulos"]."','".$_POST["clientes"]."','".$_POST["montos"]."')";
                                mysql_select_db($dbname);
                                if ($r1=mysql_query($q1)) $mostrar="<p class='ok' id='mensaje'>Evento guardado correctamente.</p>";
                                else $mostrar="<p class='error' id='mensaje'>Se ha producido un error guardando el evento.</p>";
                        }
                        
                        if (!isset($_GET["fecha"])) 
                        {
                                $mesactual=intval(date("m"));
                                if ($mesactual<10) $elmes="0".$mesactual;
                                else $elmes=$mesactual;
                                $elanio=date("Y");
                        } 
                        else 
                        {
                                $cortefecha=explode("-",$_GET["fecha"]);
                                $mesactual=intval($cortefecha[1]);
                                if ($mesactual<10) $elmes="0".$mesactual;
                                else $elmes=$mesactual;
                                $elanio=$cortefecha[0];
                        }
						//$first_day_of_week = mktime(0, 0, 0, date('m'), date('d')-date('N')+1, date('Y'));
						//echo date('w', $first_day_of_week);
						$primerdia=mktime(0,0,0,$mesactual,1,$elanio);
					    $primeromes=date("w",$primerdia);
						if($primeromes==0){$primeromes=7;}
                        
                        if (!isset($_GET["mes"])) $hoy=date("Y-m-d"); 
                        else $hoy=$_GET["ano"]."-".$_GET["mes"]."-01";
                        
                        if (($elanio % 4 == 0) && (($elanio % 100 != 0) || ($elanio % 400 == 0))) $dias=array("","31","29","31","30","31","30","31","31","30","31","30","31");
                        else $dias=array("","31","28","31","30","31","30","31","31","30","31","30","31");
                        
                        $ides=array();
                        $eventos=array();
                        $titulos=array();
                 
                        $meses=array("","Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
                        $diasantes=$primeromes-1;
                        $diasdespues=42;
                        $tope=$dias[$mesactual]+$diasantes;
                        if ($tope%7!=0) $totalfilas=intval(($tope/7)+1);
                        else $totalfilas=intval(($tope/7));
                        echo "<center><h2>Calendario de Llamadas: ".$meses[$mesactual]." de ".$elanio."</h2></center>";
                        echo $mostrar;
                        echo "<script>function mostrar(cual) {if (document.getElementById(cual).style.display=='block') {document.getElementById(cual).style.display='none';} else {document.getElementById(cual).style.display='block'} }</script>";
                        echo "<br> <br><table class='calendario' cellspacing='0' cellpadding='0'>";
                        echo "<tr><td colspan='7' align='center' class='tl'>Calendario de Llamadas: ".$meses[$mesactual]. " de ".$elanio."</td></tr></caption><tr><th>L</th><th>M</th><th>M</th><th>J</th><th>V</th><th>S</th><th>D</th></tr><tr>"; 
                        $j=1;
                        $filita=0;
                       						 						
                        for ($i=1;$i<=$diasdespues;$i++)
                        {
                                if ($filita<$totalfilas)
                                {
                                if ($i>=$primeromes && $i<=$tope) 
                                {
                                        echo "<td";
                                        if ($j<10) $dd="0".$j;else $dd=$j;{
                                        $compuesta=$elanio."-$elmes-$dd";}
                                        if (count($eventos)>0 && in_array($compuesta,$eventos,true)) {echo " class=' evento";$noagregar=true;}
                                        else {echo " class='activa";$noagregar=false;}
                                        if ($hoy==$compuesta) echo " hoy";
                                        if ($noagregar==false) echo "'>$j";
                                        
                                         $sqlevent="select c.id_renta as id_renta,c.id_cliente as id_cliente,c.fecha as fecha, cl.nombre as nombre, cl.a_pat as apat, cl.a_mat as amat from conceptos as c INNER JOIN renta as r ON c.id_renta=r.id_renta INNER JOIN clientes as cl ON c.id_cliente=cl.id_cliente WHERE c.dia_inicio='".$compuesta."' ";
                                        mysql_select_db($dbname);
                                        $revent=mysql_query($sqlevent); 
										$no=mysql_num_rows($revent);
										if($no!=0){if($no>1){$pedido="llamadas";}else{$pedido="llamada";}echo "<a href='javascript:mostrar(\"evento$j\")' title='Mostrar llamadas del ".fecha($compuesta)."' class='badage'><font class='tx'>$no $pedido</font></a>";}
										echo "<div id='evento$j' style='display:none;text-align:left;'>";
                                        while($rowevent=mysql_fetch_array($revent))
                                        {
                                                echo "<p><a href='regmodificar2.php?idrenta=$rowevent[id_renta]&idcliente=$rowevent[id_cliente]' target='_blank' title='Ver renta'><img src='images/zoom.png' width='18' height='18'></a>cliente: $rowevent[nombre] $rowevent[apat] $rowevent[amat] <br>Fecha de llamada: $rowevent[fecha]<br>hora: $rowevent[hora]<br>observacion:$rowevent[observacion]</p>";
                                        }
                                        
                                        echo "<a href='javascript:mostrar(\"evento$j\")';' class='vtip'><img src='images/delete.png' /></a></div></td>";
                                        $j+=1;
                                }
                                else echo "<td class='desactivada'>&nbsp;</td>";
                                if ($i==7 || $i==14 || $i==21 || $i==28 || $i==35 || $i==42) {echo "<tr>";$filita+=1;}
                                }
                        }
                        echo "</table>";
                        $mesanterior=date("Y-m-d",mktime(0,0,0,$mesactual-1,01,$elanio));
                        $messiguiente=date("Y-m-d",mktime(0,0,0,$mesactual+1,01,$elanio));
                        echo "<center><p>&laquo; <a href='javascript:llamadas(\"?fecha=$mesanterior\")'>Mes Anterior</a> - <a href='javascript:llamadas(\"?fecha=$messiguiente\")'>Mes Siguiente</a> &raquo;</p></center>";
						
						$first_day_of_week = mktime(0, 0, 0, date('m'), date('d')-date('N')+1, date('Y'));
                        date('Y-m-d H:i:s', $first_day_of_week);
                        ?>
        </td></tr></table>
</body>
</html>